# spotMeta

Returns metadata for spot markets including token names, size decimals, and trading pair information.

<table><thead><tr><th width="115">Field</th><th width="177">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>type</code></td><td>string</td><td>Must be <code>"spotMeta"</code></td></tr></tbody></table>

## Request

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X POST https://api.hydromancer.xyz/info \
  -H "Authorization: Bearer $HYDROMANCER_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "spotMeta"
  }'
```

{% endtab %}

{% tab title="Python" %}

```python
import requests
import os
import json

response = requests.post(
    'https://api.hydromancer.xyz/info',
    json={
        'type': 'spotMeta'
    },
    headers={
        'Authorization': f'Bearer {os.environ["HYDROMANCER_API_KEY"]}',
        'Content-Type': 'application/json'
    }
)
print(json.dumps(response.json(), indent=2))
```

{% endtab %}

{% tab title="Javascript" %}

```javascript
import axios from 'axios';

const response = await axios.post(
  'https://api.hydromancer.xyz/info',
  {
    type: 'spotMeta'
  },
  {
    headers: {
      'Authorization': `Bearer ${process.env.HYDROMANCER_API_KEY}`,
      'Content-Type': 'application/json'
    }
  }
);

console.log(JSON.stringify(response.data, null, 2));
```

{% endtab %}
{% endtabs %}

***

## Response Fields

| Field                                         | Type    | Description                                         |
| --------------------------------------------- | ------- | --------------------------------------------------- |
| `universe`                                    | array   | List of spot market metadata objects                |
| `universe[].tokens`                           | array   | Token pair `[base, quote]` indices                  |
| `universe[].name`                             | string  | Market name (e.g. `"HYPE"`)                         |
| `universe[].index`                            | int     | Market index                                        |
| `universe[].isCanonical`                      | boolean | Whether this is the canonical spot market           |
| `tokens`                                      | array   | List of token metadata objects                      |
| `tokens[].name`                               | string  | Token symbol (e.g. `"USDC"`)                        |
| `tokens[].szDecimals`                         | int     | Number of decimal places for size                   |
| `tokens[].weiDecimals`                        | int     | Number of wei decimals                              |
| `tokens[].index`                              | int     | Token index                                         |
| `tokens[].tokenId`                            | string  | Token identifier                                    |
| `tokens[].isCanonical`                        | boolean | Whether this is the canonical token                 |
| `tokens[].evmContract`                        | object? | EVM contract details, `null` if not deployed on EVM |
| `tokens[].evmContract.address`                | string  | EVM contract address                                |
| `tokens[].evmContract.evm_extra_wei_decimals` | int     | Extra wei decimals for EVM conversion               |
| `tokens[].fullName`                           | string? | Full token name, `null` if not set                  |
| `tokens[].deployerTradingFeeShare`            | string  | Deployer's share of trading fees                    |

<details>

<summary>Response</summary>

```json
{
  "universe": [
    {
      "tokens": [0, 1],
      "name": "PURR/USDC",
      "index": 0,
      "isCanonical": true
    }
  ],
  "tokens": [
    {
      "name": "USDC",
      "szDecimals": 8,
      "weiDecimals": 8,
      "index": 0,
      "tokenId": "0x6d1e7cde53ba9467b783cb7c530ce054",
      "isCanonical": true,
      "evmContract": {
        "address": "0x6b9e773128f453f5c2c60935ee2de2cbc5390a24",
        "evm_extra_wei_decimals": -2
      },
      "fullName": null,
      "deployerTradingFeeShare": "0.0"
    },
    {
      "name": "PURR",
      "szDecimals": 0,
      "weiDecimals": 5,
      "index": 1,
      "tokenId": "0xc1fb593aeffbeb02f85e0308e9956a90",
      "isCanonical": true,
      "evmContract": {
        "address": "0x9b498c3c8a0b8cd8ba1d9851d40d186f1872b44e",
        "evm_extra_wei_decimals": 13
      },
      "fullName": null,
      "deployerTradingFeeShare": "0.0"
    }
  ]
}
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hydromancer.xyz/readme/rest-api/metadata/spotmeta.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
